/*============================================================================
 *
 *  Program:   mmui.rexx
 *
 *  Version:   1.0
 *
 *  Purpose:   sets up a little ARexx-Test-Environment for MovieMUI 3.0
 *             simply type in the command.
 *
 *  Author:    Andre Bernhardt
 *
 *  Copyright (c) Andre Bernhardt 1993-94
 *
 *  History:
 *
 *============================================================================
 */

port_name = "MOVIEMUI"

if ( ~show( 'p', port_name ) ) then do
 say "Please start MovieMUI first."
 exit
end

address value port_name

options results

do forever
 say "Please enter command ('q' to exit):"
 parse pull command

 if (command = 'q') then
  break
 else
  do
   command
   say "replied: RC = " rc
   if RC =0 then
    say result
 end

end

exit
